<?php
namespace Misuzu\Emoticons;

use Stringable;
use Index\Data\IDbResult;

class EmoteInfo implements Stringable {
    private string $id;
    private int $order;
    private int $rank;
    private string $url;

    public function __construct(IDbResult $result) {
        $this->id = (string)$result->getInteger(0);
        $this->order = $result->getInteger(1);
        $this->rank = $result->getInteger(2);
        $this->url = $result->getString(3);
    }

    public function getId(): string {
        return $this->id;
    }

    public function getOrder(): int {
        return $this->order;
    }

    public function getMinRank(): int {
        return $this->rank;
    }

    public function getUrl(): string {
        return $this->url;
    }

    public function __toString(): string {
        return $this->url;
    }
}
